%{?el5: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python-MyProxyClient
Version:        1.2.2
Release:        1%{?dist}
Summary:        Python implementation of the myproxy client interface

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/MyProxyClient
Source0:        http://pypi.python.org/packages/source/M/MyProxyClient/MyProxyClient-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  epydoc
BuildRequires:  pyOpenSSL
BuildRequires:  python-setuptools

%description
Python implementation of the client interface to the MyProxy 
credential management service (http://grid.ncsa.illinois.edu/myproxy/)

%package docs
Summary:        Python API documentation of the myproxy client interface
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}

%description docs
Python implementation of the client interface to the MyProxy 
credential management service (http://grid.ncsa.illinois.edu/myproxy/)

This package contains API documentation.

%prep
%setup -q -n MyProxyClient-%{version}
chmod 644 myproxy/test/test_myproxyclient.py

%build
%{__python} setup.py build
mkdir html
make -C documentation EPYDOC_OUTDIR=../html

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
rm -rf %{buildroot}%{python_sitelib}/myproxy/test

%clean
rm -rf %{buildroot}

%check
pushd myproxy/test
PYTHONPATH=../.. %{__python} ./test_myproxyclient.py MyProxyClientInterfaceTestCase
popd

%files
%defattr(-,root,root,-)
%{python_sitelib}/myproxy
%{python_sitelib}/MyProxyClient-%{version}-py*.egg-info
%{_bindir}/myproxyclient
%doc LICENSE README 

%files docs
%defattr(-,root,root,-)
%doc html myproxy/test

%changelog
* Mon Mar 21 2011 Steve Traylen <steve.traylen@cern.ch> - 1.2.2-1
- Initial packaging.

